Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter:

## Public Member Functions
| __construct (array $conversionMap, LoggerInterface $logger)
| convertToPOSIX ($ezpLocale)
| Converts a locale in eZ Publish internal format to POSIX format. More...
| convertToEz ($posixLocale)
| Converts a locale in POSIX format to eZ Publish internal format. More...

## Private Attributes
| $conversionMap
| $reverseConversionMap
| $logger

## Detailed Description

Definition at line 11 of file LocaleConverter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::__construct | ( | array | $conversionMap,
|  | LoggerInterface | $logger
| ) |  |

Definition at line 31 of file LocaleConverter.php.

References eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter\$conversionMap, and eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter\$logger.

## Member Function Documentation

## ◆ convertToEz()

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::convertToEz | ( |  | $posixLocale | ) |

Converts a locale in POSIX format to eZ Publish internal format.

Returns null if conversion cannot be made.

Parameters

  string | $posixLocale |

Returns
  string|null

Implements eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverterInterface.

Definition at line 65 of file LocaleConverter.php.

## ◆ convertToPOSIX()

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::convertToPOSIX | ( |  | $ezpLocale | ) |

Converts a locale in eZ Publish internal format to POSIX format.

Returns null if conversion cannot be made.

Parameters

  string | $ezpLocale |

Returns
  string|null

Implements eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverterInterface.

Definition at line 46 of file LocaleConverter.php.

## Member Data Documentation

## ◆ $conversionMap

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::$conversionMap
| private

Definition at line 19 of file LocaleConverter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter\__construct().

## ◆ $logger

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::$logger
| private

Definition at line 29 of file LocaleConverter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter\__construct().

## ◆ $reverseConversionMap

eZ\Publish\Core\MVC\Symfony\Locale\LocaleConverter::$reverseConversionMap
| private

Definition at line 26 of file LocaleConverter.php.

The documentation for this class was generated from the following file:

- LocaleConverter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.